class CashRegister:
    def __init__(self, ones, twos, fives, tens, twenties):
        self.cash = {}
        self.cash["ones"] = ones
        self.cash["twos"] = twos
        self.cash["fives"] = fives
        self.cash["tens"] = tens
        self.cash["twenties"] = twenties
   
    def add(self, count, denomination):
        self.cash[denomination] = self.cash[denomination] + count
       
    #Activity 1 - Write remove method.
    # the user enters a count and a denomination to be removed
    # see method call below.

    def totalValue(self):
        return self.cash["ones"] + (self.cash["twos"] * 2) + \
            (self.cash["fives"] * 5) + (self.cash["tens"] * 10) + \
            (self.cash["twenties"] * 20)
        
    def __str__(self):
        """Print cash register contents"""
        return "The cash register holds: " \
          + "\n20's: " + str(self.cash["twenties"]) \
            + "\n10's: " + str(self.cash["tens"]) \
          + "\n5's: " + str(self.cash["fives"]) \
            + "\n2's: " + str(self.cash["twos"]) \
          + "\n1's: " + str(self.cash["ones"])

def main():
    register = CashRegister(4, 2, 4, 5, 5)
    print(register)
    print(register.totalValue())
    register.add(5, "ones")
    print(register)
    #register.remove(1, "twos")
    print(register.totalValue())
    
main()